Subject: Re: Help identifying Mostek machine

From: "Dwight K. Elvey" <[email-masked]>
Date: Wed Jul 2 19:37:47 2003

Hi
 It is always a fun project to write your own BIOS
and get CPM running on these kinds of machines.
I have brought up CPM on a couple of machines and
find it isn't too hard.
 In some cases, I'll put a Forth interpreter on ROM
for that machine. That way I can explore the I/O's
for the machine and debug any assembly code before
I expect it to work with things like booting a CPM
disk.
Dwight

>From: Joe <[email-masked]>
>
>  These sound like standard Mostek STD-BUS cards.  The cards were available
>separately so it may or may not be a Mostek computer. As luck would have it
>(your's not mine!) I found some Mostek manuals for some of the cards today
>along with some DRI CPM manuals. I haven't gone trough them yet but I'll
>post a list after I do.  BTW Steve Robertson is the expert on STD-BUS
>stuff. He found one of the system developers that used to work for Pro-Log
>and got a TRUCK load of that stuff.
>
>   BTW II United Technologies bought out Mostek so Ian's computer could be
>considered a Mostek machine.
>
>     Joe
>
>At 07:52 AM 6/27/03 -0400, you wrote:
>>That sounds like an interesting machine. I have a United Technologies 
>>Mostek Matrix 800, but it has a 1.2meg 5 1/2 drive and an MFM hard 
>>drive. My machine runs CP/M and has a Z-80. I have the system disks, 
>>albeit on  5 1/4, and I can make copies for you if you need them, but 
>>you'll have to find a way to either convert them to 8" or to hook a 5 
>>1/4 drive to the computer, but even then I don't know if the disks 
>>would be compatible.
>>
>>Ian Primus
>>[email-masked]
>>
>>
>>On Thursday, June 26, 2003, at 10:58 PM, Erik S. Klein wrote:
>>
>>> Hello all,
>>>
>>>
>>>
>>> I've come into possession of a Mostek computer (I'm pretty sure it's a
>>> computer anyway) with a pair of 8" half height floppy drives (Shugart
>>> 860s) and three cards.
>>>
>>>
>>>
>>> The cards are roughly 6x4 inches with a 56 finger edge connector on one
>>> of the long ends and various connectors on the opposite end (I'm not
>>> familiar with these).  They are labeled MDX-FLP2 (plugged into the
>>> drives - obviously a floppy controller), MDX-SIO (almost certainly a
>>> serial IO card) and MDX-CPU3.  The last card is the processor card.  
>>> The
>>> main chip appears to be a MOSTEK Z-80 clone which is labeled MK3801N-4,
>>> Z80-STI AND ENG. PROTO.  There are 8 4564s for 64K RAM on the card 
>>> along
>>> with what are either connectors for serial and/or parallel ports.
>>>
>>>
>>>
>>> The whole box is about the size of a typical rack-mount machine with a
>>> plastic case around it.  Most parts are tagged as Mostek and most date
>>> codes are from the middle of 1982.
>>>
>>>
>>>
>>> Of course it came without software or documentation.
>>>
>>>
>>>
>>> Is anyone familiar with this machine?  Does anyone have a boot disk,
>>> other software or documentation for it?
>>>
>>>
>>>
>>> Thanks!
>>>
>>>
>>>
>>>    Erik Klein
>>>
>>>    www.vintage-computer.com/vcforum
>>>
>>>    The Vintage Computer Forum